﻿using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.BusinessLogicsContracts
{
	public interface IPostLogic
	{
        List<PostViewModel>? ReadList(PostSearchModel? model);
        PostViewModel? ReadElement(PostSearchModel model);

        bool Create(PostBindingModel model);
        bool Update(PostBindingModel model);
        bool Delete(PostBindingModel model);
    }
}
