﻿using HotelDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.ViewModels
{
	public class WorkerViewModel : IWorkerModel
    {
        public int Id { get; set; }

        public int PostId { get; set; }
        [DisplayName("ФИО")]
        public string FIO { get; set; } = string.Empty;
        [DisplayName("Дата рождения")]
        public DateTime DateOfBirth { get; set; } = DateTime.Now;
        [DisplayName("Опыт работы")]
        public int WorkExperience { get; set; }
        [DisplayName("Зарплата")]
        public int Salary { get; set; }
        [DisplayName("Номер телефона")]
        public string Phone { get; set; } = string.Empty;
        [DisplayName("Должность")]
        public string PostName { get; set; } = string.Empty;
    }
}