﻿using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.BusinessLogicsContracts
{
	public interface IBookingLogic
	{
        List<BookingViewModel>? ReadList(BookingSearchModel? model);
        BookingViewModel? ReadElement(BookingSearchModel model);

        bool Create(BookingBindingModel model);
        bool Update(BookingBindingModel model);
        bool Delete(BookingBindingModel model);
        bool TakeBookingInWork(BookingBindingModel model);
        bool FinishBooking(BookingBindingModel model);
        bool DeliveryBooking(BookingBindingModel model);
    }
}
