﻿using HotelDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelDataModels.Models
{
	public interface IBookingModel : IId
	{
		int RoomId { get; }
		int ClientId { get; }
		DateTime ArrivalDate { get; }
		DateTime DepartureDate { get; }
		double NumberHoursSpent { get; }
		Enums.AcceptanceStatus Status { get; }
		double TotalCost { get; }
	}
}
